Bug 1251018 - p11-kit: unsupported attributes in PKCS #11 URLs (rfc7512)
p11-kit: unsupported attributes in PKCS #11 URLs (rfc7512)
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: p11-kit (Show other bugs)
26
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Daiki Ueno
Fedora Extras Quality Assurance
:
Depends On:
Blocks: PKCS11 1252062 1379279
  Show dependency treegraph
 
Reported: 2015-08-06 08:24 EDT by Nikos Mavrogiannopoulos
Modified: 2017-05-02 09:44 EDT (History)
5 users (show)

See Also:
Fixed In Version: p11-kit-0.23.5-1.fc26
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-05-02 09:44:07 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 97245 None None None 2016-08-08 11:10 EDT

  None (edit)
Description Nikos Mavrogiannopoulos 2015-08-06 08:24:19 EDT
Description of problem:
The final version of rfc7512 has several attributes which are not supported by p11-kit. These are:

1. slot-description: "slotDescription" member of CK_SLOT_INFO.
2. *slot-id: the numeric CK_SLOT_ID
3. slot-manufacturer: the corresponding member of CK_SLOT_INFO.
4. module-name: The name of the .so file
5. module-path: absolute path of the .so file

These can be used to restrict an object even more than possible with the existing URL members.
Comment 1 Stef Walter 2015-08-10 08:22:01 EDT
Makes sense. Lets add them. Do you have a patch?
Comment 2 Nikos Mavrogiannopoulos 2015-08-10 11:19:57 EDT
No patch. It is gonna take some time before I could work on that.
Comment 3 Jan Kurik 2016-02-24 08:35:10 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 4 Fedora End Of Life 2017-02-28 04:48:01 EST
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.
Comment 5 Fedora Admin XMLRPC Client 2017-04-26 09:56:44 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 6 Daiki Ueno 2017-05-02 09:44:07 EDT
It should be fixed in the latest package in F26.

Note You need to log in before you can comment on or make changes to this bug.